hook global WinSetOption filetype=python %{
    # set-option window expandtab true
    # set-option window softtabstop 4
    set-option window formatcmd "ruff format -"
    hook -group python-auto-format window BufWritePre .* format
    hook -once -always WinSetOption filetype=.* %{
        unset-option window formatcmd
        remove-hooks window python-auto-format
    }
}
hook global WinSetOption filetype=go %{
    # set-option window expandtab false
    # set-option window softtabstop 4
}

hook global WinSetOption filetype=kak %{
	set-option window formatcmd "%val{config}/scripts/kakfmt"
    # set-option window expandtab false
}

hook global WinSetOption filetype=typst %{
	set-option buffer formatcmd "typstyle --wrap-text"
    hook -group typst-auto-format window BufWritePre .* format
    hook -once -always WinSetOption filetype=.* %{
        unset-option window formatcmd
        remove-hooks window typst-auto-format
    }
}

hook global WinSetOption filetype=fish %{
    set-option window formatcmd "fish_indent"
}
